Subject: Re: [PATCH 1/3] powerpc/book3e: load critical/machine/debug exception stack

From: "tiejun.chen" <[email-masked]>
Date: Thu, 20 Dec 2012 17:14:14 +0800

On 12/19/2012 06:10 AM, Tabi Timur-B04825 wrote:
> On Thu, Oct 25, 2012 at 1:43 AM, Tiejun Chen <[email-masked]> wrote:
>> We always alloc critical/machine/debug check exceptions. This is
>> different from the normal exception. So we should load these exception
>> stack properly like we did for booke.
>
> Tiejun,
>
> I'm a little confused by these patches, because the actual critical
> exception handlers are still commented out:
>
> /* Critical Input Interrupt */
> 	START_EXCEPTION(critical_input);
> 	CRIT_EXCEPTION_PROLOG(0x100, BOOKE_INTERRUPT_CRITICAL,
> 			      PROLOG_ADDITION_NONE)
> //	EXCEPTION_COMMON(0x100, PACA_EXCRIT, INTS_DISABLE)
> //	bl	special_reg_save_crit
> //	CHECK_NAPPING();
> //	addi	r3,r1,STACK_FRAME_OVERHEAD
> //	bl	.critical_exception
> //	b	ret_from_crit_except
> 	b	.
>
> Are you working on fixing this?  I'm trying to fix it, too, but I

No, I have no approach to Crit/MC and currently I'm focus only on Debug so 
please do this as you expect :)

BTW, I send next version just now since there are something needed to 
correct/improve.

Tiejun